help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: postscript to lisp, plisp package error - Invalid read syntax: "#"


From: Henrik Motakef
Subject: Re: postscript to lisp, plisp package error - Invalid read syntax: "#"
Date: Mon, 16 Feb 2004 16:09:18 +0100
User-agent: Gnus/5.1002 (Gnus v5.10.2) Emacs/21.3.50 (berkeley-unix)

address@hidden (Henna) writes:

> I am trying to use it and finding errors. I have no lucid
> lisp or any other, other than the emacs lisp. I have
> tried to (require 'cl) without error.
>
>
> (1)
> I have renamed all files in plisp to be .el from .lisp since that 
> is what
> emacs seems to expect.

Emacs Lisp and Common Lisp are quite different languages, and (require
'cl) is merely cosmetic. It doesn't make the languages compatible. You
won't be able to run Common Lisp programs in Emacs.

But you can simply install a Common Lisp implementation. See
<http://www.cliki.net/Common%20Lisp%20implementation> for a list of
free ones, or <http://alu.cliki.net/Implementation> for commercial
Lisps.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]